Bug 205294 - install onto SATA fails
Summary: install onto SATA fails
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-05 20:51 UTC by Brian Brock
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 20:11:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Brock 2006-09-05 20:51:41 UTC
Anaconda stops after detection of graphics controller.  A dialog appears on a
black background, stating:

[Error]
Error opening /dev/sdb: No medium found.

rawhide-20060805 (possibly earlier)
anaconda-11.1.0.89-1
kernel-2.6.17-1.2617.2.1.fc6

My system has one SATA drive:

SCSI subsystem initialized
Initializing USB Mass Storage driver...
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 19
ata: 0x170 IDE port busy
ata1: SATA max UDMA/133 cmd 0x1F0 ctl 0x3F6 bmdma 0xFFA0 irq 14
scsi0 : ata_piix
input: AT Translated Set 2 keyboard as /class/input/input0
ata1.00: ATA-6, max UDMA/133, 234441648 sectors: LBA48 
ata1.00: ata1: dev 0 multi count 16
ata1.00: configured for UDMA/133
  Vendor: ATA       Model: ST3120026AS       Rev: 3.05
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write back
SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write back
 sda: sda1 sda2
sd 0:0:0:0: Attached scsi disk sda

Comment 1 Brian Brock 2006-09-05 20:57:05 UTC
The underlying problem is when parted is called:

CRITICAL: parted exception: Error: Error opening /dev/sdb: No medium found

Comment 2 Jeremy Katz 2006-09-06 05:55:06 UTC
Can you attach the full /tmp/anaconda.log and /tmp/syslog

Comment 3 Brian Brock 2006-09-06 16:13:31 UTC
Install of rawhide-20060806 is crashing at a different point during
installation, but initially appears to not have this problem.


Note You need to log in before you can comment on or make changes to this bug.